Subject: emacs-hyperbole: runtime exceptions in 8.0.0
From: Christopher Howard <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Wed, 13 Mar 2024 07:25:25 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, a while ago I reported an error in hyperbole 8.0.0 causing a regex exception on many implicit buttons:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69338

Upstream stated the problem will be resolved in official 9.0.1 release, and this version has just been officially released. Using --with-latest to install 9.0.1., I confirmed that the problem is indeed resolved, and so I would request an update to 9.0.1. I'm not at liberty to submit a patch myself right at the moment. Perhaps I'll be able to make one in the next few days but I'm not sure.

A side note: the first example in the 9.0.1 "FAST-DEMO" requires that the "HY-NEWS" file be available in the install directory, but guix does not install this file.

> ** Pathname Implicit Buttons
>
>    "HY-NEWS#ORG MODE:3:6"   - outline section anchor & relative line number

If we could fix this at the same time, that would be great.

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ